import request from '@/utils/request'

// 查询系统关键字列表
export function listKeyword(query) {
  return request({
    url: '/system/keyword/list',
    method: 'get',
    params: query
  })
}

// 查询系统关键字详细
export function getKeyword(keywordId) {
  return request({
    url: '/system/keyword/' + keywordId,
    method: 'get'
  })
}

// 新增系统关键字
export function addKeyword(data) {
  return request({
    url: '/system/keyword',
    method: 'post',
    data: data
  })
}

// 修改系统关键字
export function updateKeyword(data) {
  return request({
    url: '/system/keyword',
    method: 'put',
    data: data
  })
}

// 删除系统关键字
export function delKeyword(keywordId) {
  return request({
    url: '/system/keyword/' + keywordId,
    method: 'delete'
  })
}

// 导出系统关键字
export function exportKeyword(query) {
  return request({
    url: '/system/keyword/export',
    method: 'get',
    params: query
  })
}